import React, { useState }  from 'react'
import { StyleSheet, Text, View } from 'react-native'
import { RadioButton } from "react-native-paper";

const CustomRadioButtonGroup = (props) => {

    const [value, setValue] = useState(props.default);

    const callback = (item) => {
        console.log(item); 
        setValue(item);
        props.sendDataToParent(item);
      };

    return (
        <RadioButton.Group
            onValueChange={(newValue) => callback(newValue)}
            value={value}
            >
            <View style={styles.radioButton}>
                <RadioButton value={props.values.firstValue} />
                <Text>{props.values.firstText}</Text>
            </View>
            <View style={styles.radioButton}>
                <RadioButton value={props.values.secondValue} />
                <Text>{props.values.secondText}</Text>
            </View>
            <View style={styles.radioButton}>
                <RadioButton value={props.values.thirdValue} />
                <Text>{props.values.thirdText}</Text>
            </View>
        </RadioButton.Group>
    )
}

export default CustomRadioButtonGroup

const styles = StyleSheet.create({
    text: {
        marginStart: 20,
      },
      radioButton: {
        flexDirection: "row",
        alignItems: "center",
      },
})
