import React from 'react'
import Toast from "react-native-toast-message";

export const toastSuccess = (pos, time, message) => {
    Toast.show({
        type: "success",
        text1: "Success",
        position: pos, 
        visibilityTime: time,
        text2: message,
      });
}

export const toastError = (pos, time, message) => {
    Toast.show({
        type: "error",
        text1: "Error",
        position: pos,
        visibilityTime: time,
        text2: message,
      });
}

export const toastInfo = (pos, time, message) => {
    Toast.show({
        type: "info",
        text1: "Info",
        position: pos,
        visibilityTime: time,
        text2: message,
      });
}

export const toast500 = (statusCode) => {

    let errorText = ""; 

    switch(statusCode) {
        case 401:
            errorText = "Token has expired, please log out."; break;
        case 429:
            errorText = "Too many request, please wait."; break; 
        case 500:
            errorText = "Internal server error."; break; 
        default:
            errorText = "System timed out."; break; 
        }

    Toast.show({
        type: "error",
        text1: "Error",
        text2: errorText
    });
    
}
