import React from "react";
import { createStackNavigator } from "@react-navigation/stack";

import TabsScreen from "./TabsScreen";
import AuthStackScreen from "./AuthStackScreen";
import ModalStackScreen from "./ModalStackScreen";

const RootStack = createStackNavigator();

const RootStackScreen = ({ userToken }) => (
  <RootStack.Navigator headerMode="none" mode="modal">
    {userToken ? (
      <RootStack.Screen
        name="App"
        component={TabsScreen}
        options={{
          animationEnabled: false,
        }}
      />
    ) : (
      <RootStack.Screen
        name="Auth"
        component={AuthStackScreen}
        options={{
          animationEnabled: false,
        }}
      />
    )}
    <RootStack.Screen name="Verify" component={ModalStackScreen} />
  </RootStack.Navigator>
);

export default RootStackScreen;
